import request from '@/utils/request'

// 查询广电网信-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmBroadcastCommunicationPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询广电网信-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmBroadcastCommunicationPenalty/' + id,
        method: 'get'
    })
}

// 新增广电网信-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmBroadcastCommunicationPenalty',
        method: 'post',
        data: data
    })
}

// 修改广电网信-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmBroadcastCommunicationPenalty',
        method: 'put',
        data: data
    })
}

// 删除广电网信-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmBroadcastCommunicationPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmBroadcastCommunicationPenalty/delete',ids)
}